TriggerCustomAnalysis
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.TriggerCustomAnalysis(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TriggerCustomAnalysisResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.triggerCustomAnalysis();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileFilters": [
{
"attribute": "<string>",
"values": [
"<string>"
]
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger"
payload = { "profileFilters": [
{
"attribute": "<string>",
"values": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profileFilters: [{attribute: '<string>', values: ['<string>']}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Role Mining
Trigger Custom Analysis
Invokes the c1.api.role_mining_management.v1.RoleMiningManagementService.TriggerCustomAnalysis method.
POST
/
api
/
v1
/
role-mining
/
custom-analysis
/
trigger
TriggerCustomAnalysis
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RoleMiningManagement.TriggerCustomAnalysis(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.TriggerCustomAnalysisResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.roleMiningManagement.triggerCustomAnalysis();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The TriggerCustomAnalysisRequest message.
The profileFilters field.
Show child attributes
Show child attributes
Response
200 - application/json
Successful response
The TriggerCustomAnalysisResponse message.
The id field.
Was this page helpful?
⌘I